#!/bin/bash

# Script de modification de permissions sur l'interface de l'IGPU du NAS
# Pour que le media-serveur puisse transcoder avec le hardware.

#Startup Script
#Access for HW Decoder Plex/Emby/Jellyfin
echo -e "\n$(date "+%R:%S -") Script de modification de permissions sur l'interface de l'IGPU du NAS\n"
echo -e "$(date "+%R:%S -") Lancement de la commande : sudo chmod 660 /dev/dri/card0 /dev/dri/renderD128\n"

if [ -d /dev/dri ]; then
  sudo chmod 660 /dev/dri/renderD128
fi

echo -e "$(date "+%R:%S -") Script terminé\n"

exit 0